Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.scoringFunctions.mix
Enum StrandScoringFunction.InitMethod

    java.lang.Object
      java.lang.Enum<StrandScoringFunction.InitMethod>
          de.jstacs.scoringFunctions.mix.StrandScoringFunction.InitMethod

All Implemented Interfaces:
  Serializable, Comparable<StrandScoringFunction.InitMethod>

Enclosing class:
  StrandScoringFunction

    public static enum StrandScoringFunction.InitMethod

extends Enum<StrandScoringFunction.InitMethod>

This enum defines the different types of plug-in initialization of a `StrandScoringFunction`.

Author:
  Jens Keilwagen

Enum Constant Summary
`INIT_BACKWARD_STRAND` This value indicates that the model is initialized with the data on the backward strand.
`INIT_BOTH_STRANDS` This value indicates that the model is initialized with the data, where the weight for both strand of each sequence is chosen randomly.
`INIT_FORWARD_STRAND` This value indicates that the model is initialized with the data on the forward strand.

Method Summary
`static StrandScoringFunction.InitMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StrandScoringFunction.InitMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INIT_FORWARD_STRAND

    public static final StrandScoringFunction.InitMethod INIT_FORWARD_STRAND

  This value indicates that the model is initialized with the data on the forward strand.

### INIT_BACKWARD_STRAND

    public static final StrandScoringFunction.InitMethod INIT_BACKWARD_STRAND

  This value indicates that the model is initialized with the data on the backward strand.

### INIT_BOTH_STRANDS

    public static final StrandScoringFunction.InitMethod INIT_BOTH_STRANDS

  This value indicates that the model is initialized with the data, where the weight for both strand of each sequence is chosen randomly.

Method Detail

### values

    public static StrandScoringFunction.InitMethod[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StrandScoringFunction.InitMethod c : StrandScoringFunction.InitMethod.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StrandScoringFunction.InitMethod valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD